<bugID>1126188<Summary>Show explanation text for a suggested tile with appropriate styling</Summary><Description>Bug 1126184 will get a related tile into the NewTabUtils.links.getLinks list of links, but without any special styling, it wouldn't be clear that this is a related tile.

At minimum, we want some explanation text that the user can quickly grasp why they're seeing a related tile.

One simple suggestion is "/Because you visited site.com/"
https://bug1120311.bugzilla.mozilla.org/attachment.cgi?id=8553575

Not sure if it needs to always be shown or only after the user tries to interact/hovers the tile.</Description></bugID>